package ru.dbotthepony.mc.otm.registry

import net.minecraftforge.eventbus.api.IEventBus
import net.minecraftforge.registries.DeferredRegister
import net.minecraftforge.registries.ForgeRegistries
import ru.dbotthepony.mc.otm.OverdriveThatMatters
import ru.dbotthepony.mc.otm.data.loot.LootPoolAppender

object LootModifiers {
	private val registry = DeferredRegister.create(ForgeRegistries.Keys.GLOBAL_LOOT_MODIFIER_SERIALIZERS, OverdriveThatMatters.MOD_ID)

	init {
		registry.register("loot_appender") { LootPoolAppender.CODEC }
	}

	internal fun register(bus: IEventBus) {
		registry.register(bus)
	}
}
